1. Transfer In
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
        GET
      • Init Transaction
        POST
      • Request a Transfer In token
        POST
      • Get Status
        GET
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Raíz
        • Create a payment button
    • Platform Status
    • Subscription Transactions
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Transfer In

Init Transaction

POST
/transfer/v1/init
Init the transaction with a Transfer In token provided by Kushki which represents the customer's payment.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/transfer/v1/init' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "string",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 0,
        "iva": 0,
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        }
    },
    "metadata": {
        "key0": "string",
        "key1": "string",
        "key2": "string"
    },
    "fullResponse": "v2",
    "webhooks": {
        "events": [
            "approvedTransaction"
        ],
        "headers": [
            {
                "label": "string",
                "value": "string"
            }
        ],
        "urls": [
            "string"
        ]
    }
}'
Response Response Example
201 - Example 1
{
    "redirectUrl": "string",
    "bankId": "string",
    "bankName": "string",
    "bank": "string",
    "ticketNumber": "string",
    "transactionReference": "string",
    "details": {
        "status": "string",
        "amount": {
            "currency": "string",
            "iva": 0,
            "subtotalIva": 0,
            "subtotalIva0": 0
        },
        "created": 0,
        "description": "string",
        "documentNumber": "string",
        "documentType": "RUT",
        "email": "string",
        "merchantId": "string",
        "merchantName": "string"
    }
}
Modified at 2026-04-16 16:52:46
Previous
Get Bank List
Next
Request a Transfer In token
Built with